be.fgov.ehealth.consultrn._1_0.protocol

## Class FamilyCompositionRequest

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.protocol.RequestType
  - - be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnRequestType
    - - be.fgov.ehealth.consultrn._1_0.protocol.FamilyCompositionRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class FamilyCompositionRequest
      extends ConsultRnRequestType
      implements Serializable

  request to the family composition service

  Java class for FamilyCompositionRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FamilyCompositionRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:consultRN:1_0:protocol}ConsultRnRequestType">
             <sequence>
               <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FamilyCompositionRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSSIN()` Gets the value of the ssin property.
    `void` | `setSSIN(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnRequestType

      `getApplicationID, getOrganisation, setApplicationID, setOrganisation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FamilyCompositionRequest

          public FamilyCompositionRequest()

  - ### Method Detail

    - #### getSSIN

          public String getSSIN()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSSIN

          public void setSSIN(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.